/* ========================================================

FONT FAMILY

======================================================== */

/* Regular */
@font-face {
    font-family: "Montserrat";
    src: url("fonts/montserrat-regular.woff2") format("woff2");
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

/* Medium */
@font-face {
    font-family: "Montserrat";
    src: url("fonts/montserrat-medium.woff2") format("woff2");
    font-weight: 500; 
    font-style: normal;
    font-display: swap;
}

/* Semi Bold */
@font-face {
    font-family: "Montserrat";
    src: url("fonts/montserrat-semibold.woff2") format("woff2");
    font-weight: 600; 
    font-style: normal;
    font-display: swap;
}

/* Bold */
@font-face {
    font-family: "Montserrat";
    src: url("fonts/montserrat-bold.woff2") format("woff2");
    font-weight: 900; 
    font-style: normal;
    font-display: swap;
}

/*  ========================================================

ROOT

    
======================================================== */

:root {
    --brand-color: 211, 100%, 49%;
    --default-font: "Montserrat";
    
    --default-title-size: 3.75;
	--default-paragraph-size: 1.75;
	--default-letter-spacing: 0.03;
	
	--minimum-padding: 96px;
    
    --default-padding-vertical: var(--minimum-padding);
    --default-padding-horizontal: max((100vw - 1600px) / 2, var(--minimum-padding, 0px));
    --default-transition: 200ms ease;
}

/* ========================================================

CONTENT

======================================================== */

*::-webkit-scrollbar,
*::-webkit-scrollbar-track,
*::-webkit-scrollbar-thumb {
	display: none;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus {
    -webkit-box-shadow: 0 0 0 1024px #ffffff inset !important;
}

*,
*:before,
*:after {
	-webkit-scrollbar: none;
    scrollbar-width: none;

	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	-ms-box-sizing: border-box;
	box-sizing: border-box;
	
	-webkit-tap-highlight-color: transparent;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);

	overscroll-behavior: none;
	outline: none;

	margin: 0;
	padding: 0;
}

/* MAIN */
html {
    text-rendering: geometricPrecision;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    font-feature-settings: "liga" 1;
	
	overflow-x: hidden;
	overflow-y: scroll;
	overflow-anchor: none;
	webkit-user-select: none;
	user-select: none;
	
    width: 100vw;
	height: 100vh;
}

@media (pointer: coarse), (hover: none) {
    html {
        overflow-y: hidden;
    }
}

body {
    overflow-x: hidden;
    overflow-y: visible;
	background: rgb(255, 255, 255);
    width: 100%;
}

cursor {
    position: fixed;

    top: 0;
    left: 0;
    
    border: 1px solid rgba(96, 96, 96, 1);
    border-radius: 50%;
    
    isolation: isolate;
    mix-blend-mode: difference;
    pointer-events: none;

    width: 20px;
    height: 20px;
    margin-top: -10px;
    margin-left: -10px;
    
    transition: border-color 0.15s ease-out,
        width 0.15s ease-out,
        height 0.15s ease-out,
        margin-top 0.15s ease-out,
        margin-left 0.15s ease-out;
    
    will-change: transform;
    z-index: 4096;
}

cursor[data-hovering="1"] {
    border-color: rgba(96, 96, 96, 0);
    
    width: 32px;
    height: 32px;
    
    margin-top: -16px;
    margin-left: -16px;
}

@media (pointer: coarse) and (hover: none) {
    cursor {
        display: none;
    }
}

main {
    width: 100%;
}

/* CUSTOM TAGS */
row, column {
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: flex-start;
}

row {
    flex-direction: row;
}

column {
    flex-direction: column;
}

/* INPUT FIELDS */
input:focus,
select:focus,
textarea:focus,
button:focus {
	outline: none;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    appearance: none;
    margin: 0;
}

input[type="number"] {
    -moz-appearance: textfield;
    appearance: textfield;
}

/* TEXT */
a, h1, h2, h3, h4, h5, h6, p, span, input, button, cite, row, column {
    color: rgb(0, 0, 0);
    font-family: var(--default-font);
    font-weight: 400;
    font-style: normal;
    border: none;
}

/* BUTTONS */
a, button, input[type="file"] {
	white-space: nowrap;
    cursor: pointer;
}

a {
	text-underline-offset: 0;
	text-decoration-skip-ink: none;
	text-decoration: none;
	-webkit-user-drag: none;
}

/* MEDIA */
svg,
img,
video {
    display: block;
    -o-object-position: center;
	object-position: center;
	pointer-events: none;
    color: rgba(0, 0, 0, 0);
    font-weight: 0;
    font-size: 0;
}

svg.cover-object,
img.cover-object,
video.cover-object {
    -o-object-fit: cover;
	object-fit: cover;
}

svg.contain-object,
img.contain-object,
video.contain-object {
    -o-object-fit: contain;
	object-fit: contain;
}

@media (max-resolution: 2dppx) {
    :root {
        --minimum-padding: 64px !important;
    }
}

@media (max-resolution: 4dppx) {
    :root {
        --minimum-padding: 32px !important;
    }
}